// Copyright (c) 2025 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_MakeStruct.h"
#include "SCW_UK2Node_StructMemberSet.h"

class UK2Node_MakeStruct;

namespace Sourcify
{
	class SCW_UK2Node_MakeStruct : public SCW_UK2Node_StructMemberSet, public virtual ISCW_UK2Node_MakeStruct
	{
	public:
		SCW_UK2Node_MakeStruct(UK2Node_MakeStruct* InK2Node_MakeStruct);

		UK2Node_MakeStruct* ToUK2Node_MakeStruct() const;

		ISCW_UK2Node_MakeStructPtr ToUK2Node_MakeStructPtr() override;
		ISCW_UK2Node_MakeStructConstPtr ToUK2Node_MakeStructPtr() const override;

	protected:
		UK2Node_MakeStruct* K2Node_MakeStruct;
	};
} // namespace Sourcify